import { LoggerConfiguration, LogLevel } from "../../types";
export default abstract class AbstractLogger {
    protected config: LoggerConfiguration;
    protected constructor(config: LoggerConfiguration);
    reconfigure(config: LoggerConfiguration): void;
    info(...message: any): void;
    infoFrom(from: string, ...message: any): void;
    warning(...message: any): void;
    warningFrom(from: string, ...message: any): void;
    error(...message: any): void;
    errorFrom(from: string, ...message: any): void;
    success(...message: any): void;
    successFrom(from: string, ...message: any): void;
    protected abstract log(logLevel: LogLevel, message: any[], from?: string): void;
}
