"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../types");
class AbstractLogger {
    config;
    constructor(config) {
        this.config = config;
    }
    reconfigure(config) {
        this.config = config;
    }
    info(...message) {
        this.log(types_1.LogLevel.INFO, message);
    }
    infoFrom(from, ...message) {
        this.log(types_1.LogLevel.INFO, message, from);
    }
    warning(...message) {
        this.log(types_1.LogLevel.WARNING, message);
    }
    warningFrom(from, ...message) {
        this.log(types_1.LogLevel.WARNING, message, from);
    }
    error(...message) {
        this.log(types_1.LogLevel.ERROR, message);
    }
    errorFrom(from, ...message) {
        this.log(types_1.LogLevel.ERROR, message, from);
    }
    success(...message) {
        this.log(types_1.LogLevel.SUCCESS, message);
    }
    successFrom(from, ...message) {
        this.log(types_1.LogLevel.SUCCESS, message, from);
    }
}
exports.default = AbstractLogger;
